<?php
Error_Reporting(E_ALL & ~E_NOTICE);
/***************************************************************************
 *                     messages.php (admin)  (S-A WAP)
 *                            -------------------
 *      Разработка: Антон Федорченко.
 *      Оптимизация под WAP: Felis.
 *          2008 год
 ***************************************************************************/
?>
<?php
  $XmlArray=@file($File);
  //Если сообщений нет или файл не существует
  if((count($XmlArray)<4) or (!file_exists('../messages.xml')))
  {
    Print $Cpt_AdminNoMess;
    exit;
  }
  //$XmlArray=array_slice($XmlArray, 2);
  //array_pop($XmlArray);
  $Dim1Inx=0;
  //один цикл проходит тогда, когда в массив записываются пять атрибутов сообщения:
  //автор, город, число, порядковые номера начального и конечного тэга message
  $Cycle=0;
  //Из массива XmlArray формируем 2х мерный массив $Messages
  //1-ое измерение - номер сообщения (с 0)
  //2-ое измерение - его атрибуты: номера строк тэгов (с 0) <message> и </message>, автор, город, дата
  foreach($XmlArray as $key => $value)
  {
    if(strpos($value, "<message>") !== false )
    {
      $Messages[$Dim1Inx]['begin']=$key;
      $Cycle++;
      //Print $Messages[$Dim1Inx]['begin'].'<br>';
    }
    elseif(strpos($value, '</message>') !==false)
    {
      $Messages[$Dim1Inx]['end']=$key;
      $Cycle++;
      //Print $Messages[$Dim1Inx]['end'].'<br>';
    }
    elseif(strpos($value, '<name>') !==false)
    {
      $value=trim(ereg_replace('<[/a-z]+>', '', $value));
      $Messages[$Dim1Inx]['name']=$value;
      $Cycle++;
      //Print $Messages[$Dim1Inx]['name'].'<br>';
    }
    elseif(strpos($value, '<city>')!==false)
    {
      $value=trim(ereg_replace('<[/a-z]+>', '', $value));
      $Messages[$Dim1Inx]['city']=$value;
      $Cycle++;
      //Print $Messages[$Dim1Inx]['city'].'<br>';
    }
    elseif(strpos($value, '<date>')!==false)
    {
      $value=trim(ereg_replace('<[/a-z]+>', '', $value));
      $Messages[$Dim1Inx]['date']=$value;
      $Cycle++;
    }
    elseif(strpos($value, '<messagebody>')!==false)
    {
      $value=trim(ereg_replace('<[/a-z]+>', '', $value));
      $value=str_replace('+endln+', '', $value);
      $value=substr($value, 0, 500);
      $Messages[$Dim1Inx]['messagebody']=$value;
      $Cycle++;
    }
    if($Cycle/6==1)
    {
       $Dim1Inx++;
       $Cycle=0;
       //Print "<b>{$Dim1Inx}</b>";
    }
  }
 //А если количество сообщений - 0

 //Выводим каждое сообщение попорядку
 print "<table class='MessTbl' align=center cellspacing=0 cellpadding=0 border=0>";
 print "<tr align=center>
             <td class='MessTblTH'>&nbsp;</td>
             <td class='MessTblTH'>{$Cpt_Author}</td>
             <td class='MessTblTH'>{$Cpt_Date}</td>
             <td class='MessTblTH' colspan=5>{$Cpt_Action}</td>
           </tr>";
  for($i=0; $i<count($Messages); $i++)
  {
    if($Messages[$i]['city'] != '%nbsp%')
      $Messages[$i]['city']='('.$Messages[$i]['city'].')'; else
      $Messages[$i]['city']='';
    $Date = TranslateMonths($Messages[$i]['date'], $Lng);
    print "<tr>
             <td class='MessTblTD1'>".($i+1).".</td>
             <td class='MessTblTD2'><a href='#' title='{$Messages[$i]['messagebody']}'>{$Messages[$i]['name']} {$Messages[$i]['city']}</a></td>
             <td class='MessTblTD3'>{$Date}</td>
             <td class='MessTblTD5'><a href='index.php?page=edit_message&begin={$Messages[$i]['begin']}&end={$Messages[$i]['end']}'>{$Cpt_Edit}</a></td>
             <td class='MessTblTD4'><a href='index.php?page=hide_message&begin={$Messages[$i]['begin']}&end={$Messages[$i]['end']}'>{$Cpt_Hide}</a></td>
             <td class='MessTblTD6'><a href='index.php?page=delete_message&begin={$Messages[$i]['begin']}&end={$Messages[$i]['end']}'>{$Cpt_Delete}</a></td>";
   //вверх
   if($i!=0)
     print "<td class=MessTblTD7><a href='index.php?page=up&begin={$Messages[$i]['begin']}&end={$Messages[$i]['end']}'><img src='img/up.png' width=19 height=20 border=0></a></td>";
   else
     print "<td class=MessTblTD7>&nbsp;</td>";
   //вниз
   if($i!=(count($Messages)-1))
     print "<td class=MessTblTD8><a href='index.php?page=down&begin={$Messages[$i]['begin']}&end={$Messages[$i]['end']}'><img src='img/down.png' width=19 height=20 border=0></a></td>";
   else
     print "<td class=MessTblTD8>&nbsp;</td>";
   print "</tr>";
  }
  print "</table>";
?>