<?php
Error_Reporting(E_ALL & ~E_NOTICE);
/***************************************************************************
 *                     settings.php (admin)  (S-A WAP)
 *                            -------------------
 *      Разработка: Антон Федорченко.
 *      Оптимизация под WAP: Felis.
 *          2008 год
 ***************************************************************************/
?>
<?php
  if($_POST['action']=='write')
  {
    //Инициализируем переменные
    $Antiflood = $_POST['Antiflood'];
    $MessagesPerPage = $_POST['MessagesPerPage'];
    $AddMessagePermission = $_POST['AddMessagePermission'];
    $MaxMessagesCount = $_POST['MaxMessagesCount'];
    $MaxWordLength = $_POST['MaxWordLength'];
    $Language=$_POST['Language'];
    $ShowSmiles=$_POST['ShowSmiles'];
    $HideSentMessages = $_POST['HideSentMessages'];
    //устанавливаем язык
    if($Language=='russian')
      $Language='rus';
    elseif($Language=='english')
      $Language='eng';
    elseif($Language=='german')
      $Language='ger';
    elseif($Language=='french')
      $Language='fre';
    elseif($Language=='dutch')
      $Language='dut';
    elseif($Language=='ukrainian')
      $Language='ukr';
    elseif($Language=='spanish')
      $Language='spa';
    elseif($Language=='esperanto')
      $Language='eo';
    //Проверяем введенные данные на корректность
    if(ereg('[0-9]', $MessagesPerPage)==false)
      $Error=$Cpt_SettingsErr;
    if(ereg('[0-9]', $MaxMessagesCount)==false)
      $Error=$Cpt_SettingsErr;
    if(ereg('[0-9]', $MaxWordLength)==false)
      $Error=$Cpt_SettingsErr;
    if($Antiflood == 'on')
      $Antiflood = 'yes'; else
      $Antiflood = 'no';
    if($HideSentMessages=='on')
      $HideSentMessages='yes'; else
      $HideSentMessages='no';
    if($AddMessagePermission=='on')
      $AddMessagePermission='yes'; else
      $AddMessagePermission='no';
    if($ShowSmiles=='on')
      $ShowSmiles='yes'; else
      $ShowSmiles='no';

    if(empty($Error))
    {
      $Str='<?php
              $Antiflood = "'.$Antiflood.'";
              $Lng="'.$Language.'";
              $HideSentMessages="'.$HideSentMessages.'";
              $MessagesPerPage='.$MessagesPerPage.';
              $AddMessagePermission="'.$AddMessagePermission.'";
              $MaxMessagesCount='.$MaxMessagesCount.';
              $ShowSmiles="'.$ShowSmiles.'";
              $MaxWordLength='.$MaxWordLength.';
            ?>';
      SaveStringInFile('../config.php', $Str, 'w');
      echo "<HTML><HEAD><META HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php?page=settings'></HEAD></HTML>";
    }
  }
  require_once('../config.php');
?>
  <h4><? echo $Cpt_Settings ?></h4>
  <form action='' method=post>
    <?
      if(!empty($Error))
      {
        print "<table align='center' border='0' cellspacing='0' cellpadding='0'  class='SetTbl'>";
        print "<tr><td class='SetError'>{$Error}</td></tr>";
        print "</table><br>";
      }
    ?>
    <table align='center' border='0' cellspacing='0' cellpadding='0'  class='SetTbl'>
      <tr><td colspan='2'><img src='img/px6.gif' heidht='6'></td></tr>
      <tr>
        <td class='SetLeft'><? echo $Cpt_MessCount ?>:</td>
        <td class='SetRight'><input class='SetInput' type='text' name='MaxMessagesCount' value='<? echo $MaxMessagesCount ?>'></td>
      </tr>
      <tr>
        <td class='SetLeft'><? echo $Cpt_MaxWordsCount ?>:</td>
        <td class='SetRight'><input class='SetInput' type='text' name='MaxWordLength' value='<? echo $MaxWordLength ?>'></td>
      </tr>
      <tr>
        <td class='SetLeft'><? echo $Cpt_MessPerPage ?>:</td>
        <td class='SetRight'><input class='SetInput'type='text' name='MessagesPerPage' value='<? echo $MessagesPerPage ?>'></td>
      </tr>
      <tr>
        <td class='SetLeft'><? echo $Cpt_Antiflood ?>:</td>
        <?
          if($Antiflood == 'yes')
            $Checked='checked'; else
            $Checked='';
        ?>
        <td class='SetRight'><input class='SetChbx' type='checkbox' name='Antiflood' <? echo $Checked ?>></td>
      </tr>
      <tr>
        <td class='SetLeft'><? echo $Cpt_HideSentMess ?>:</td>
        <?
          if($HideSentMessages == 'yes')
            $Checked='checked'; else
            $Checked='';
        ?>
        <td class='SetRight'><input  type='checkbox' name='HideSentMessages' <? echo $Checked ?> class='SetChbx'></td>
      </tr>

      <tr>
        <td class='SetLeft'><? echo $Cpt_AddPermission ?>:</td>
        <?
          if($AddMessagePermission=='yes')
            $Checked='checked'; else
            $Checked='';
        ?>
        <td class='SetRight'><input class='SetChbx' type='checkbox' name='AddMessagePermission' <? echo $Checked ?>></td>
      </tr>
      <tr>
        <td class='SetLeft'><? echo $Cpt_ShowSmiles ?>:</td>
        <?
          if($ShowSmiles =='yes')
            $Checked='checked'; else
            $Checked='';
        ?>
        <td class='SetRight'><input class='SetChbx' type='checkbox' name='ShowSmiles' <? echo $Checked ?>></td>
      </tr>

      <tr>
        <td class='SetLeft'><? echo $Cpt_Lang ?></td>
        <td class='SetRight'>
          <select class='SetSelect' name='Language'>
            <option value='russian' <? echo $Lng=='rus' ? "selected" : "";?>> <? echo $Cpt_Russian;  ?>
          </select>
        </td>
      </tr>
      <input type='hidden' name='action' value='write'>
      <tr><td align='center' colspan='2'><input class='SetButton' type='submit' value='<? echo $Cpt_SaveSettings ?>'</td></tr>
    </table>
  </form>